Exigences pour les développeurs

Comme les applications connectées à BlackBerry Messenger sont prises en charge uniquement sur les smartphones BlackBerry qui exécutent BlackBerry Device Software 5.0 ou version ultérieure, il est recommandé que vous utilisiez BlackBerry Messenger SDK conjointement avec BlackBerry Java SDK 5.0 ou version ultérieure. Pour télécharger BlackBerry Java SDK ou les outils de développement associés, rendez-vous sur http://na.blackberry.com/eng/developers/javaappdev/devtools.jsp.

Toutes les applications créées sur la plate-forme BBM doivent être distribuées aux utilisateurs BlackBerry via la boutique BlackBerry App World, bien qu'une application puisse être directement chargée sur un terminal BlackBerry à des fins de tests. Les applications chargés directement sur le terminal sont considérées comme temporaires par la plate-forme BBM et sont limités à 100 utilisateurs au maximum. Une fois qu'une application est mise à disposition sur BlackBerry App World, il n'y a pas de limite au nombre d'utilisateurs.

Pour distribuer une application via BlackBerry App World, les développeurs doivent créer un compte d'inscription pour demander l'accès au portail des fournisseurs. Pour plus d'informations pour devenir membre, rendez-vous sur http://na.blackberry.com/eng/developers/appworld/.

Toutes les applications qui utilisent la plate-forme BBM sont assujetties à des restrictions de code de conduite pour empêcher le mauvais usage de la plate-forme et protéger la confidentialité des utilisateurs. Research In Motion se réserve le droit de supprimer des applications potentiellement malveillantes, qui ne respectent pas ces principes ou qui imposent des contraintes inutiles sur la plate-forme. Les applications sont tenues de permettre aux utilisateurs d'alerter la plate-forme BBM si l'application exécute une action lancée par l'utilisateur sans le consentement de l'utilisateur.

Sujet suivant: Envoi de commentaires

Ces informations vous ont-elles été utiles ? Envoyez-nous vos commentaires.